set terminal pdfcairo enhanced color size 2.5,3 fontscale 0.5\
    font 'Arial,14' linewidth 1 dl 5
    
set key font ',12'
set key bottom right

set ylabel offset 2
set xlabel offset 0,0.5

set lmargin 9
set rmargin 9
set tmargin 3
set bmargin 6

a = 1

set style line 1 lw 2 ps 0.75 pt 2 lc rgb '#1B9E77' # dark teal
set style line 2 dashtype (2,2) lw 2 ps 0.75 pt 4 lc rgb '#D95F02' # dark orange
set style line 3 dashtype (4,2) lw 2 ps 0.75 pt 6 lc rgb '#7570B3' # dark lilac
set style line 4 dashtype (6,2) lw 2 ps 0.75 pt 8 lc rgb '#E7298A' # dark magenta
set style line 5 dashtype 5 lw 2 ps 0.75 pt 10 lc rgb '#66A61E' # dark lime green
set style line 6 dashtype 6 lw 2 ps 0.75 pt 2 lc rgb '#E6AB02' # dark banana
set style line 7 dashtype 7 lw 2 ps 0.75 pt 3 lc rgb '#A6761D' # dark tan
set style line 8 dashtype 8 lw 2 ps 0.75 pt 5 lc rgb '#666666' # dark gray
set style line 9 dashtype 9 lw 2 ps 0.75 pt 7 lc rgb "#cab2d6"
set style line 10 dashtype 10 lw 2 ps 0.75 pt 9 lc rgb "#6a3d9a"
set style line 11 dashtype 11 lw 2 ps 0.75 pt 11 lc rgb "#222222"
set style line 12 dashtype 12 lw 2 ps 0.75 pt 13 lc rgb "#b15928"
set style line 13 dashtype 1 lw 2 ps 0.75 pt 13 lc rgb "#ffffff"


a=1
c=5
d=0.1
g=1
h=1

f(x) = sqrt(a**2)*(log(((c*x+1)/(1-d*x))))

set xrange [0:1.4]
set yrange[0:12]
set xtics 0.5
set ylabel "Stress [MPa]"
set xlabel "Strain"

off1 = 87829.0925
off2 = 39542.3600
off3 = 32237.0300
off4 = 32761.4900
off5 = 53418.8200
off6 = 56196.5500
off7 = 134008.1700
off8 = 6506.8573
off9 = 20646.3915
off10 = -1896.3009
off11 = 19330.1000
off12 = 3337.4895

labelx = -0.1
labely = -3

#set_label(x, y, A1, c1, d1, mod1) = sprintf("set label 1 'A = %.4f, c = %.4f ,\n d = %.4f, \n Modulus = %.4f' at %f, %f", A1, c1, d1, mod1, x, y)

set output "89_invsig.pdf"
fit f(x) "89.txt" u 1:(($2-off1)/1000000) via a,c,d
# mod=a*(c+d)
# #eval set_label(labelx,labely, a, c, d, mod)
plot f(x) ls 1 dashtype 1 lw 2 notitle, "89.txt" u 1:(($2-off1)/1000000) ls 2 pt 1 title "89{\260}"
# #pause -1

set output "70_invsig.pdf"
fit f(x) "70.txt" u 1:(($2-off2)/1000000) via a,c,d
# mod=a*(c+d)
# #eval set_label(labelx,labely, a, c, d, mod)
plot f(x) ls 1 dashtype 1 lw 2 notitle, "70.txt" u 1:(($2-off2)/1000000) ls 2 pt 1 title "70{\260}"
# #pause -1

set output "54_invsig.pdf"
fit f(x) "54.txt" u 1:(($2-off3)/1000000) via a,c,d
# mod=a*(c+d)
# #eval set_label(labelx,labely, a, c, d, mod)
plot f(x) ls 1 dashtype 1 lw 2 notitle, "54.txt" u 1:(($2-off3)/1000000) ls 2 pt 1 title "54{\260}"
# #pause -1

set output "39_invsig.pdf"
fit f(x) "39.txt" u 1:(($2-off4)/1000000) via a,c,d
# mod=a*(c+d)
# #eval set_label(labelx,labely, a, c, d, mod)
plot f(x) ls 1 dashtype 1 lw 2 notitle, "39.txt" u 1:(($2-off4)/1000000) ls 2 pt 1 title "39{\260}"
# #pause -1

set output "28_invsig.pdf"
fit f(x) "28.txt" u 1:(($2-off5)/1000000) via a,c,d
# mod=a*(c+d)
# #eval set_label(labelx,labely, a, c, d, mod)
plot f(x) ls 1 dashtype 1 lw 2 notitle, "28.txt" u 1:(($2-off5)/1000000) ls 2 pt 1 title "28{\260}"
# #pause -1

set output "19_invsig.pdf"
fit f(x) "19.txt" u 1:(($2-off6)/1000000) via a,c,d
# mod=a*(c+d)
# #eval set_label(labelx,labely, a, c, d, mod)
plot f(x) ls 1 dashtype 1 lw 2 notitle, "19.txt" u 1:(($2-off6)/1000000) ls 2 pt 1 title "19{\260}"
# #pause -1

set output "15_invsig.pdf"
fit f(x) "15.txt" u 1:(($2-off7)/1000000) via a,c,d
# mod=a*(c+d)
# #eval set_label(labelx,labely, a, c, d, mod)
plot f(x) ls 1 dashtype 1 lw 2 notitle, "15.txt" u 1:(($2-off7)/1000000) ls 2 pt 1 title "15{\260}"
# #pause -1

set output "12_invsig.pdf"
fit f(x) "12.txt" u 1:(($2-off8)/1000000) via a,c,d
# mod=a*(c+d)
# #eval set_label(labelx,labely, a, c, d, mod)
plot f(x) ls 1 dashtype 1 lw 2 notitle, "12.txt" u 1:(($2-off8)/1000000) ls 2 pt 1 title "12{\260}"
# #pause -1

set output "08_invsig.pdf"
fit f(x) "08.txt" u 1:(($2-off9)/1000000) via a,c,d
# mod=a*(c+d)
# #eval set_label(labelx,labely, a, c, d, mod)
plot f(x) ls 1 dashtype 1 lw 2 notitle, "08.txt" u 1:(($2-off9)/1000000) ls 2 pt 1 title "8{\260}"
# #pause -1

set output "05_invsig.pdf"
fit f(x) "05.txt" u 1:(($2-off10)/1000000) via a,c,d
# mod=a*(c+d)
# #eval set_label(labelx,labely, a, c, d, mod)
plot f(x) ls 1 dashtype 1 lw 2 notitle, "05.txt" u 1:(($2-off10)/1000000) ls 2 pt 1 title "5{\260}"
# #pause -1

set output "03_invsig.pdf"
fit f(x) "03.txt" u 1:(($2-off11)/1000000) via a,c,d
# mod=a*(c+d)
# #eval set_label(labelx,labely, a, c, d, mod)
plot f(x) ls 1 dashtype 1 lw 2 notitle, "03.txt" u 1:(($2-off11)/1000000) ls 2 pt 1 title "3{\260}"
# #pause -1

set output "02_invsig.pdf"
fit f(x) "02.txt" u 1:(($2-off12)/1000000) via a,c,d
mod=a*(c+d)
#eval set_label(labelx,labely, a, c, d, mod)
plot f(x) ls 1 dashtype 1 lw 2 notitle, "02.txt" u 1:(($2-off12)/1000000) ls 2 pt 1 title "{/Symbol q}_0=2{\260}"
#pause -1

