set terminal pdfcairo enhanced color size 2.5,3 fontscale 0.5\
    font 'Arial,14' linewidth 1 dl 1
    
set key font ',12'


set ylabel offset 1
set xlabel offset 0,0.5

set lmargin 9
set rmargin 9
set tmargin 3
set bmargin 6

a = 1

set style line 1 lw 2 ps 0.75 pt 2 lc rgb '#1B9E77' # dark teal
set style line 2 dashtype (2,2) lw 2 ps 0.75 pt 4 lc rgb '#D95F02' # dark orange
set style line 3 dashtype (4,2) lw 2 ps 0.75 pt 6 lc rgb '#7570B3' # dark lilac
set style line 4 dashtype (6,2) lw 2 ps 0.75 pt 8 lc rgb '#E7298A' # dark magenta
set style line 5 dashtype 5 lw 2 ps 0.75 pt 10 lc rgb '#66A61E' # dark lime green
set style line 6 dashtype 6 lw 2 ps 0.75 pt 2 lc rgb '#E6AB02' # dark banana
set style line 7 dashtype 7 lw 2 ps 0.75 pt 3 lc rgb '#A6761D' # dark tan
set style line 8 dashtype 8 lw 2 ps 0.75 pt 5 lc rgb '#666666' # dark gray
set style line 9 dashtype 9 lw 2 ps 0.75 pt 7 lc rgb "#cab2d6"
set style line 10 dashtype 10 lw 2 ps 0.75 pt 9 lc rgb "#6a3d9a"
set style line 11 dashtype 11 lw 2 ps 0.75 pt 11 lc rgb "#222222"
set style line 12 dashtype 12 lw 2 ps 0.75 pt 13 lc rgb "#b15928"
set style line 13 dashtype 1 lw 2 ps 0.75 pt 13 lc rgb "#ffffff"

a=1
c=5
d=0.1
g=1
h=1

f(x) = sqrt(a**2)*(log(((c*x+1)/(1-d*x))))
g(x) = sqrt(p**2)*(log(((q*x+1)/(1-r*x))))

set xtics 0.1
set ylabel "Stress [MPa]"
set xlabel "Strain"

off1 = 87829.0925
off2 = 39542.3600
off3 = 32237.0300
off4 = 32761.4900
off5 = 53418.8200
off6 = 56196.5500
off7 = 134008.1700
off8 = 6506.8573
off9 = 20646.3915
off10 = -1896.3009
off11 = 19330.1000
off12 = 3337.4895

labelx = -0.1
labely = -3

#set_label(x, y, A1, c1, d1, mod1) = sprintf("set label 1 'A = %.4f, c = %.4f ,\n d = %.4f, \n Modulus = %.4f' at %f, %f", A1, c1, d1, mod1, x, y)

set output "89_invsiglowstraincomparison.pdf"
fit g(x) "89limited.txt" u 1:(($2-off1)/1000000) via p,q,r
fit f(x) "89.txt" u 1:(($2-off1)/1000000) via a,c,d

set xrange [0:0.3]
set yrange[0:1.4]
#eval set_label(labelx,labely, a, c, d, mod)
plot  g(x) ls 1 title "Fit low strain", f(x) ls 3 dashtype 2 title "Fit all data", "89.txt" u 1:(($2-off1)/1000000) ls 2 pt 1 ps 1.2 notitle
#pause -1

